#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	unittest subTest() support and subtests fixture
Summary(pl.UTF-8):	Obsługa subTest() i wyposażenie subtests dla szkieletu unittest
Name:		python3-pytest-subtests
Version:	0.14.2
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-subtests/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-subtests/pytest_subtests-%{version}.tar.gz
# Source0-md5:	be5e56f940ef2744bb5f370c9f4b385c
URL:		https://pypi.org/project/pytest-subtests/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm >= 6.2.3
%if %{with tests}
BuildRequires:	python3-attrs >= 19.2.0
BuildRequires:	python3-pytest >= 7.4
BuildRequires:	python3-pytest-xdist
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
unittest subTest() support and subtests fixture.

%description -l pl.UTF-8
Obsługa subTest() i wyposażenie subtests dla szkieletu unittest.

%prep
%setup -q -n pytest_subtests-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_subtests.plugin,xdist.plugin \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/pytest_subtests
%{py3_sitescriptdir}/pytest_subtests-%{version}.dist-info
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-subtests.git;a=log;h=master

* Sun Jul 13 2025 Jakub Bogusz <qboosh@pld-linux.org> 9929514
- updated to 0.14.2, fixed tests

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 672494b
- up to 0.14.1, tests are broken on pytest 8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9aeec2c
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c3f15b9
- python 3.13 rebuild

* Sun Sep 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 77b2a1b
- new

